<template>
  <h1>Z-indexes</h1>

  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Value</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="v in zIndexes" :key="v">
        <td><code>{{ v }}</code></td>
        <td><code :data-css-var="v" /></td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import { setScssVariables } from '../../../../documentation_system/utils/SetSCSSVariables.js'

const zIndexes = [
  '--z-index-menu',
  '--z-index-navbar',
  '--z-index-overlay',
  '--z-index-modal',
  '--z-index-loading',
]

export default {
  name: 'ZIndexesView',
  data () {
    return {
      zIndexes,
    }
  },
  methods: {
    setScssVariables,
  },
  created () {
    this.$setTitle('Z-indexes')

    this.$nextTick(() => {
      this.setScssVariables()
    })
  },
}
</script>
